Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Truncate.h File Reference

`#include "ace/config-all.h"`
`#include "ace/Global_Macros.h"`
`#include <limits>`

Include dependency graph for Truncate.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | ACE_Utils
## Functions
template<typename X>
int | Truncate (const X &val)
template<>
int | Truncate< size_t > (const size_t &val)

## Detailed Description

Id
  Truncate.h,v 4.3 2006/02/24 17:33:32 shuston Exp

Author:
  Steve Huston <shuston@riverace.com>

## Function Documentation

template<typename X>
int Truncate | ( | const X & | val | ) | `[inline]`

template<>
int Truncate< size_t > | ( | const size_t & | val | ) | `[inline]`